# GstVulkanDebug

## Functions

### gst_vulkan_present_mode_to_string

    const gchar*
    gst_vulkan_present_mode_to_string (VkPresentModeKHR present_mode)

Parameters:

`present_mode` –

a `VkPresentModeKHR`

Returns –

name of present_mode

Since : 1.20

### GstVulkan.prototype.vulkan_present_mode_to_string

    function GstVulkan.prototype.vulkan_present_mode_to_string(present_mode: Vulkan.PresentModeKHR): {
        // javascript wrapper for 'gst_vulkan_present_mode_to_string'
    }

Parameters:

`present_mode` (Vulkan.PresentModeKHR) –

a `VkPresentModeKHR`

Returns (String) –

name of present_mode

Since : 1.20

### GstVulkan.vulkan_present_mode_to_string

    def GstVulkan.vulkan_present_mode_to_string (present_mode):
        #python wrapper for 'gst_vulkan_present_mode_to_string'

Parameters:

`present_mode` (Vulkan.PresentModeKHR) –

a `VkPresentModeKHR`

Returns (str) –

name of present_mode

Since : 1.20

### gst_vulkan_sample_count_flags_to_string

    gchar*
    gst_vulkan_sample_count_flags_to_string (VkSampleCountFlags sample_count_bits)

Parameters:

`sample_count_bits` –
No description available
Returns –
No description available

Since : 1.18

### GstVulkan.prototype.vulkan_sample_count_flags_to_string

    function GstVulkan.prototype.vulkan_sample_count_flags_to_string(sample_count_bits: Vulkan.SampleCountFlags): {
        // javascript wrapper for 'gst_vulkan_sample_count_flags_to_string'
    }

Parameters:

`sample_count_bits` (Vulkan.SampleCountFlags) –
No description available
Returns (String) –
No description available

Since : 1.18

### GstVulkan.vulkan_sample_count_flags_to_string

    def GstVulkan.vulkan_sample_count_flags_to_string (sample_count_bits):
        #python wrapper for 'gst_vulkan_sample_count_flags_to_string'

Parameters:

`sample_count_bits` (Vulkan.SampleCountFlags) –
No description available
Returns (str) –
No description available

Since : 1.18

## Function Macros

### GST_VULKAN_EXTENT2D_ARGS

    #define GST_VULKAN_EXTENT2D_ARGS(var) (var).width, (var).height

Since : 1.18

### GST_VULKAN_EXTENT3D_ARGS

    #define GST_VULKAN_EXTENT3D_ARGS(var) (var).width, (var).height, (var).depth

Since : 1.18

## Constants

### GST_VULKAN_EXTENT2D_FORMAT

    #define GST_VULKAN_EXTENT2D_FORMAT G_GUINT32_FORMAT ", %" G_GUINT32_FORMAT

Since : 1.18

### GST_VULKAN_EXTENT3D_FORMAT

    #define GST_VULKAN_EXTENT3D_FORMAT G_GUINT32_FORMAT ", %" G_GUINT32_FORMAT ", %" G_GUINT32_FORMAT

Since : 1.18

The results of the search are